Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454020 - Review Request: tcl-zlib - Tcl extension for zlib support
Summary: Review Request: tcl-zlib - Tcl extension for zlib support
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 454022
TreeView+ depends on / blocked
 
Reported: 2008-07-03 20:21 UTC by Tom "spot" Callaway
Modified: 2009-01-12 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-12 16:50:08 UTC
mmaslano: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2008-07-03 20:21:25 UTC
Spec URL: http://auroralinux.org/people/spot/review/coccinella/tcl-zlib.spec
SRPM URL: http://auroralinux.org/people/spot/review/coccinella/tcl-zlib-2.0.1-0.1.svn40.fc10.src.rpm
Description: 
This is extension is a standalone version of the tclkit [zlib]
command/extension. See http://wiki.tcl.tk/zlib for command syntax.

Comment 1 Marcela Mašláňová 2008-10-23 08:52:15 UTC
FAIL source files match upstream: 
can't download from svn without account
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field MIT matches the actual license.
OK license is open source-compatible. License text not included upstream.
FAIL latest version is being packaged.
can't say
OK BuildRequires are proper.
OK %clean is present.
OK package builds in mock (Rawhide/x86_64).
OK debuginfo package looks complete.
OK rpmlint is silent.
tcl-zlib-devel.x86_64: W: no-documentation, but that's ok. No documentation at all provided.
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.

How can I check the source?

Comment 2 Tom "spot" Callaway 2009-01-06 16:56:42 UTC
So, upstream has gone down since I grabbed the tarball. I emailed him, and he said he would put the svn server back up, but he has still not done so (and has not responded to any of my many additional emails). He did say in his initial email that he was focusing his efforts on adding zlib support to the next release of tcl.

I suppose you can either trust me on the code, or not. :)

Comment 3 Marcela Mašláňová 2009-01-12 06:39:11 UTC
I don't want block this review for other dependent packages.
APPROVED

Comment 4 Tom "spot" Callaway 2009-01-12 16:18:38 UTC
New Package CVS Request
=======================
Package Name: tcl-zlib
Short Description: Tcl extension for zlib support
Owners: spot
Branches: F-9 F-10 devel
InitialCC: 

... and it's done.

Comment 5 Tom "spot" Callaway 2009-01-12 16:50:08 UTC
Built for F-9, F-10, devel. Thanks for your patience on this one.


Note You need to log in before you can comment on or make changes to this bug.